<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/* https://nendeb.com/549 */
function haup_illegal_user_logins( $illegal_logins ){
/***** オプション値を変数にセット *****/
	if( isset( GetOP01_security()['username-blacklist'] )){
		$option_value = GetOP01_security()['username-blacklist'];
	}else{
		$option_value = '';
	}

/***** コンマ区切りのリストを再成型する *****/
	$restricted_ids = array();
//空白を削除
	$user_ids = str_replace(' ', '', $option_value );
//コンマ区切りでまとめ直す
	$restricted_ids = explode(',', $user_ids);

/***** 禁止するユーザー名を指定 *****/
	//オプションに入力があるかどうかで分岐
	if(empty($option_value)){
		//入力がなければ基本的な文字列を排除
		$illegal_names = array('www','web', 'root', 'admin', 'main', 'invite', 'administrator' );
		$illegal_logins = array_merge( $illegal_logins, $illegal_names );
	}else{
		//入力があったら基本＋オプション入力値を排除
		$illegal_names_a = $restricted_ids;
		$illegal_names_b = array('www','web', 'root', 'admin', 'main', 'invite', 'administrator' );
		$illegal_logins = array_merge( $illegal_logins, $illegal_names_a, $illegal_names_b );
	}

//排除するユーザー名を返却 
	return $illegal_logins;
}
add_filter( 'illegal_user_logins', 'haup_illegal_user_logins' );